The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / shairport-sync / S99shairport-sync
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/shairport-sync/S99shairport-sync b/cirros-testvm/src-cirros/buildroot-2015.05/package/shairport-sync/S99shairport-sync
new file mode 100644 (file)
index 0000000..54d20ff
--- /dev/null
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+# Additional options that are passed to Shairport Sync
+OPTIONS="-d"
+
+case "$1" in
+    start)
+       echo -n "Starting shairport-sync: "
+       start-stop-daemon -S -q -p /var/run/shairport-sync.pid --exec /usr/bin/shairport-sync -- $OPTIONS
+       [ $? = 0 ] && echo "OK" || echo "FAIL"
+       ;;
+    stop)
+       echo -n "Stopping shairport-sync: "
+       start-stop-daemon -K -q -p /var/run/shairport-sync.pid
+       [ $? = 0 ] && echo "OK" || echo "FAIL"
+       ;;
+    restart)
+       $0 stop
+       $0 start
+       ;;
+    *)
+       echo "Usage: $0 {start|stop|restart}"
+       exit 1
+       ;;
+esac